Bug 1428699 - Please load the glance metadefs to the DB around db_sync time
Summary: Please load the glance metadefs to the DB around db_sync time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-glance
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 11.0 (Ocata)
Assignee: Christian Schwede (cschwede)
QA Contact: Avi Avraham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 08:09 UTC by Attila Fazekas
Modified: 2017-05-17 20:04 UTC (History)
10 users (show)

Fixed In Version: puppet-glance-10.3.0-2.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-05-17 20:04:37 UTC
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 447480 None None None 2017-03-20 13:06:07 UTC
Launchpad 1664995 None None None 2017-03-20 13:06:44 UTC

Description Attila Fazekas 2017-03-03 08:09:41 UTC
The metedata definitions are missing from the database.
It can be loaded by:
glance-manage --config-file /etc/glance/glance-api.conf db_load_metadefs

Comment 2 Cyril Roelandt 2017-03-17 17:03:36 UTC
@Avi: Can you confirm you have to do this manually when installing Glance with triple-o?

Comment 3 Christian Schwede (cschwede) 2017-03-20 11:10:31 UTC
These Tempest tests didn't exist in the Newton release, and have been merged in December 2016. Therefore this pops up now, and tests fail in Ocata because "glance-manage db_load_metadefs" is not executed.

We need to add this to puppet-glance therefore.

I'm working on a patch for puppet-glance right now.

Comment 4 Christian Schwede (cschwede) 2017-03-20 13:06:07 UTC
Proposed upstream patch to fix this: https://review.openstack.org/447480

Comment 5 Christian Schwede (cschwede) 2017-03-20 13:06:45 UTC
Upstream bug: https://bugs.launchpad.net/tripleo/+bug/1664995

Comment 6 Christian Schwede (cschwede) 2017-03-21 07:29:15 UTC
Patch merged on master and stable/ocata -> POST.

Comment 10 Avi Avraham 2017-04-20 13:10:23 UTC
# rpm -q puppet-glance
puppet-glance-10.3.0-2.el7ost.noarch


Test that data was upload to DB
[stack@undercloud-0 ~]$ glance md-namespace-list
+------------------------------------------+
| namespace                                |
+------------------------------------------+
| OS::Cinder::Volumetype                   |
| OS::Software::WebServers                 |
| OS::Software::Runtimes                   |
| OS::Software::DBMS                       |
| OS::OperatingSystem                      |
| OS::Glance::Signatures                   |
| OS::Glance::CommonImageProperties        |
| OS::Compute::XenAPI                      |
| OS::Compute::Watchdog                    |
| OS::Compute::VMware                      |
| OS::Compute::VMwareQuotaFlavor           |
| OS::Compute::VMwareFlavor                |
| OS::Compute::VirtCPUTopology             |
| OS::Compute::Trust                       |
| OS::Compute::RandomNumberGenerator       |
| OS::Compute::Quota                       |
| OS::Compute::Libvirt                     |
| OS::Compute::LibvirtImage                |
| OS::Compute::InstanceData                |
| OS::Compute::Hypervisor                  |
| OS::Compute::HostCapabilities            |
| OS::Compute::GuestShutdownBehavior       |
| OS::Compute::GuestMemoryBacking          |
| OS::Compute::CPUPinning                  |
| OS::Compute::AggregateNumInstancesFilter |
| OS::Compute::AggregateIoOpsFilter        |
| OS::Compute::AggregateDiskFilter         |
| CIM::VirtualSystemSettingData            |
| CIM::StorageAllocationSettingData        |
| CIM::ResourceAllocationSettingData       |
| CIM::ProcessorAllocationSettingData      |
+------------------------------------------+

Comment 11 errata-xmlrpc 2017-05-17 20:04:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.